Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.configuration
Class ConfigurationServiceImpl

    java.lang.Object
      org.richfaces.application.configuration.ConfigurationServiceImpl

All Implemented Interfaces:
  org.richfaces.application.configuration.ConfigurationService

    public class ConfigurationServiceImpl

extends java.lang.Object
implements org.richfaces.application.configuration.ConfigurationService

Author:
  Nick Belaevski

Constructor Summary
`ConfigurationServiceImpl()`

Method Summary
`protected org.richfaces.application.configuration.ValueExpressionHolder` | `createValueExpressionHolder(javax.faces.context.FacesContext context, java.lang.Enum<?> key, java.lang.Class<?> targetType)`
`java.lang.Boolean` | `getBooleanValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`
`<T extends java.lang.Enum<T>> T`
` | `getEnumValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key, java.lang.Class<T> enumClass)`
`java.lang.Integer` | `getIntValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`java.lang.Long` | `getLongValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`java.lang.String` | `getStringValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`java.lang.Object` | `getValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`protected
`<T> T`
` | `getValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key, java.lang.Class<T> returnType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationServiceImpl

    public ConfigurationServiceImpl()

Method Detail

### createValueExpressionHolder

    protected org.richfaces.application.configuration.ValueExpressionHolder createValueExpressionHolder(javax.faces.context.FacesContext context,
                                                                                                        java.lang.Enum<?> key,
                                                                                                        java.lang.Class<?> targetType)

### getValue

    protected <T> T getValue(javax.faces.context.FacesContext facesContext,
                             java.lang.Enum<?> key,
                             java.lang.Class<T> returnType)

### getBooleanValue

    public java.lang.Boolean getBooleanValue(javax.faces.context.FacesContext facesContext,
                                             java.lang.Enum<?> key)

  Specified by:
    `getBooleanValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getIntValue

    public java.lang.Integer getIntValue(javax.faces.context.FacesContext facesContext,
                                         java.lang.Enum<?> key)

  Specified by:
    `getIntValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getLongValue

    public java.lang.Long getLongValue(javax.faces.context.FacesContext facesContext,
                                       java.lang.Enum<?> key)

  Specified by:
    `getLongValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getStringValue

    public java.lang.String getStringValue(javax.faces.context.FacesContext facesContext,
                                           java.lang.Enum<?> key)

  Specified by:
    `getStringValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getEnumValue

    public <T extends java.lang.Enum<T>> T getEnumValue(javax.faces.context.FacesContext facesContext,
                                                        java.lang.Enum<?> key,
                                                        java.lang.Class<T> enumClass)

  Specified by:
    `getEnumValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getValue

    public java.lang.Object getValue(javax.faces.context.FacesContext facesContext,
                                     java.lang.Enum<?> key)

  Specified by:
    `getValue` in interface `org.richfaces.application.configuration.ConfigurationService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.